Bug 1032089 - HTTP authentication is buggy
HTTP authentication is buggy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-HTTP-Tiny (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
http://cpansearch.perl.org/src/DAGOLD...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 09:28 EST by Petr Pisar
Modified: 2014-07-02 09:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 09:15:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-11-19 09:28:58 EST
0.034 introduced HTTP Basic authentication. Version 0.038 fixed accidential Authorization header rewrite, version 0.037 fixed escaping the credentials. These fixes should be fixed in F20:


0.038     2013-11-18 12:56:26 America/New_York

    [FIXED]

    - Fixed a bug where authentication parameters in the URL would override
      an existing Authorization header

0.037     2013-10-28 13:26:21 America/New_York

    [FIXED]

    - Basic authentication in the URL is now unescaped before being encoded
      into the authentication header
Comment 1 Petr Pisar 2013-11-19 09:35:53 EST
Upstream commits:

commit 7bb424df183e34ee16de433cb1e8c18a74b4b6cb
Author: David Golden <dagolden@cpan.org>
Date:   Mon Oct 28 13:23:35 2013 -0400

    unescape any basic authentication stanza

commit 2897ea97557aac4d310912237b076dc1b40858e0
Author: David Golden <dagolden@cpan.org>
Date:   Mon Nov 18 12:45:06 2013 -0500

    fix basic auth in URL overriding existing auth header
    
    Basic authorization shouldn't be added if an authorization
    header exists.  The wrong header was being checked and this
    commit fixes that.
Comment 2 Fedora Update System 2013-11-19 10:24:10 EST
perl-HTTP-Tiny-0.034-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-HTTP-Tiny-0.034-4.fc20
Comment 3 Fedora Update System 2013-12-13 22:33:13 EST
perl-HTTP-Tiny-0.034-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.